/*
SQLyog Community v11.52 (64 bit)
MySQL - 5.6.28-log : Database - nst_master_2016
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`nst_master_2016` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `nst_master_2016`;

/*Table structure for table `dobavlja` */

DROP TABLE IF EXISTS `dobavlja`;

CREATE TABLE `dobavlja` (
  `dobavljacID` int(11) NOT NULL,
  `proizvodID` int(11) NOT NULL,
  PRIMARY KEY (`dobavljacID`,`proizvodID`),
  KEY `proizvodID` (`proizvodID`),
  CONSTRAINT `FK_dobavlja` FOREIGN KEY (`dobavljacID`) REFERENCES `dobavljac` (`dobavljacID`) ON UPDATE CASCADE,
  CONSTRAINT `dobavlja_ibfk_1` FOREIGN KEY (`proizvodID`) REFERENCES `proizvod` (`proizvodID`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Data for the table `dobavlja` */

/*Table structure for table `dobavljac` */

DROP TABLE IF EXISTS `dobavljac`;

CREATE TABLE `dobavljac` (
  `dobavljacID` int(11) NOT NULL,
  `naziv` text,
  `adresa` text,
  PRIMARY KEY (`dobavljacID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Data for the table `dobavljac` */

insert  into `dobavljac`(`dobavljacID`,`naziv`,`adresa`) values (1,'Soko Stark','Beograd'),(2,'Swiss Lion','Gornji Milanovac'),(3,'Crvenka','Crvenka'),(4,'Centroprom','Beograd'),(5,'Sloboda','Cacak');

/*Table structure for table `dobavljca` */

DROP TABLE IF EXISTS `dobavljca`;

CREATE TABLE `dobavljca` (
  `dobavljacID` bigint(20) NOT NULL,
  `adresa` varchar(255) DEFAULT NULL,
  `naziv` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`dobavljacID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dobavljca` */

insert  into `dobavljca`(`dobavljacID`,`adresa`,`naziv`) values (1,'Adresa - 1','Dobavljac - 1'),(6,'Adresa - 6','Dobavljac - 6');

/*Table structure for table `kupac` */

DROP TABLE IF EXISTS `kupac`;

CREATE TABLE `kupac` (
  `kupacID` bigint(11) NOT NULL AUTO_INCREMENT,
  `naziv` varchar(50) DEFAULT NULL,
  `adresa` varchar(100) DEFAULT NULL,
  `pttID` bigint(20) DEFAULT NULL,
  `tip` varchar(2) DEFAULT NULL,
  `pib` varchar(8) DEFAULT NULL,
  `jmbg` varchar(13) DEFAULT NULL,
  PRIMARY KEY (`kupacID`),
  KEY `pttID` (`pttID`),
  CONSTRAINT `kupac_ibfk_1` FOREIGN KEY (`pttID`) REFERENCES `mesto` (`pttID`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

/*Data for the table `kupac` */

insert  into `kupac`(`kupacID`,`naziv`,`adresa`,`pttID`,`tip`,`pib`,`jmbg`) values (1,'K-1','A-1',11000,'FL',NULL,'1111111111111'),(2,'K-2','A-2',11000,'FL',NULL,'2222222222222'),(3,'N-PL1','ADR-PL1',11000,'PL','33333333',NULL),(4,'N-PL1','ADR-PL1',11000,'PL','22222222',NULL),(5,'N-PL1','ADR-PL1',11000,'PL','11111111',NULL);

/*Table structure for table `mesto` */

DROP TABLE IF EXISTS `mesto`;

CREATE TABLE `mesto` (
  `pttID` bigint(20) NOT NULL,
  `naziv` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`pttID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mesto` */

insert  into `mesto`(`pttID`,`naziv`) values (11000,'Beograd'),(18333,'Zvonce'),(23255,'Zlatica'),(37230,'Aleksandrovac');

/*Table structure for table `prehrambeniproizvod` */

DROP TABLE IF EXISTS `prehrambeniproizvod`;

CREATE TABLE `prehrambeniproizvod` (
  `proizvodID` int(11) NOT NULL,
  `roktrajanja` text,
  `sastav` text,
  PRIMARY KEY (`proizvodID`),
  CONSTRAINT `FK_prehrambeniproizvod` FOREIGN KEY (`proizvodID`) REFERENCES `proizvod` (`proizvodID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Data for the table `prehrambeniproizvod` */

insert  into `prehrambeniproizvod`(`proizvodID`,`roktrajanja`,`sastav`) values (1,'1godina','p1: sastav proizvoda '),(4,'10meseci','p4:sad ljaslk djklasjd lkajsd');

/*Table structure for table `proizvod` */

DROP TABLE IF EXISTS `proizvod`;

CREATE TABLE `proizvod` (
  `proizvodID` int(11) NOT NULL,
  `naziv` text,
  `cena` double DEFAULT NULL,
  `tip` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`proizvodID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Data for the table `proizvod` */

insert  into `proizvod`(`proizvodID`,`naziv`,`cena`,`tip`) values (1,'P1-TP1',100.1,'P'),(2,'P2-TP2',20.02,'T'),(3,'proizvod 3',90,'T'),(4,'proizvod 4',90.9,'P');

/*Table structure for table `racun` */

DROP TABLE IF EXISTS `racun`;

CREATE TABLE `racun` (
  `racunID` int(11) NOT NULL,
  `datum` date DEFAULT NULL,
  PRIMARY KEY (`racunID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Data for the table `racun` */

/*Table structure for table `stavkaracuna` */

DROP TABLE IF EXISTS `stavkaracuna`;

CREATE TABLE `stavkaracuna` (
  `racunID` int(11) NOT NULL,
  `rb` int(11) NOT NULL,
  `proizvodID` int(11) DEFAULT NULL,
  `kolicina` double DEFAULT '0',
  PRIMARY KEY (`racunID`,`rb`),
  KEY `FK_stavkaracuna_2` (`proizvodID`),
  CONSTRAINT `FK_stavkaracuna` FOREIGN KEY (`racunID`) REFERENCES `racun` (`racunID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_stavkaracuna_2` FOREIGN KEY (`proizvodID`) REFERENCES `proizvod` (`proizvodID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Data for the table `stavkaracuna` */

/*Table structure for table `tehnickiproizvod` */

DROP TABLE IF EXISTS `tehnickiproizvod`;

CREATE TABLE `tehnickiproizvod` (
  `proizvodID` int(11) NOT NULL,
  `tehnickeosobine` text,
  `garancija` int(11) DEFAULT NULL,
  `uputstvo` text,
  PRIMARY KEY (`proizvodID`),
  CONSTRAINT `FK_tehnickiproizvod` FOREIGN KEY (`proizvodID`) REFERENCES `proizvod` (`proizvodID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Data for the table `tehnickiproizvod` */

insert  into `tehnickiproizvod`(`proizvodID`,`tehnickeosobine`,`garancija`,`uputstvo`) values (2,'P2: Tehnicke osobine',2,'P2: Uputstvo'),(3,'trojka tehnicki',3,'uputstvo za p3');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
